#
# spec file for package logrotate (Version 3.6.10)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  popt
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool perl popt-devel rpm

Name:         logrotate
Summary:      A program to rotate, compress, remove, and mail system log files
Version:      3.6.10
Release:      0
License:      GPL
Group:        System/Base
Source:       ftp://people.redhat.com/sopwith/logrotate-%{version}.tar.bz2
Patch:        logrotate-suse.dif
Patch1:       logrotate-moveout.dif
Patch2:       logrotate-dateext.dif
Patch3:       logrotate-maxage.dif
Patch4:       logrotate-conf.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
PreReq:       %fillup_prereq /bin/rm /bin/mv

%description
The logrotate utility is designed to simplify the administration of log
files on a system which generates a lot of log files. Logrotate allows
for the automatic rotation, compression, removal, and mailing of log
files. Logrotate can be set to handle a log file daily, weekly,
monthly, or when the log file gets to a certain size. Normally,
logrotate runs as a daily cron job.



Authors:
--------
    Erik Troan <ewt@redhat.com>
    Matt Wilson <msw@redhat.com>
    Preston Brown <pbrown@redhat.com>

%prep
%setup -q
%patch
%patch1
%patch2
%patch3
%patch4

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
make PREFIX=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/etc/{logrotate.d,cron.daily}
mkdir -p $RPM_BUILD_ROOT/usr/sbin
install -m 644 examples/logrotate-default $RPM_BUILD_ROOT/etc/logrotate.conf
install -m 755 examples/logrotate.cron $RPM_BUILD_ROOT/etc/cron.daily/logrotate
install -m 644 examples/logrotate.wtmp $RPM_BUILD_ROOT/etc/logrotate.d/wtmp

%post
%{remove_and_set MAX_DAYS_FOR_LOG_FILES}
if [ -f /etc/logrotate.d/aaa_base ] ; then
   echo "Saving old logrotate system confguration"
   mv -v /etc/logrotate.d/aaa_base /etc/logrotate.d.aaa_base.save
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc CHANGES
/usr/sbin/logrotate
%{_mandir}/man8/logrotate.8*
/etc/cron.daily/logrotate
%config /etc/logrotate.conf
%config(noreplace)/etc/logrotate.d/wtmp

%changelog -n logrotate
* Mon Oct 13 2003 - ro@suse.de
- updated to 3.6.10 and ported patches
* Thu Jun 12 2003 - kukuk@suse.de
- /etc/logrotate.d is part of filesystem
* Thu Jan 23 2003 - ro@suse.de
- update to 3.6.6 (some tmpfile fixes, new options supported)
- remove system-config /etc/logrotate.d/aaa_base and all code
  messing with it (all logrotate configs have been moved to
  their respective packages)
- add /etc/logrotate.d/wtmp
* Thu Jan 23 2003 - ro@suse.de
- remove mgetty logfiles
* Mon Jan 20 2003 - ro@suse.de
- remove i4l logfiles
* Thu Jan 16 2003 - ro@suse.de
- removed xdm logfile from main config (in XFree86 now)
* Wed Jan 15 2003 - ro@suse.de
- removed more files from main config and moved to their packages
* Mon Nov 11 2002 - ro@suse.de
- fix deprecated multiline string literals
* Mon Oct 14 2002 - ro@suse.de
- remove postgresql logfile from config on update (#20860)
* Mon Oct 14 2002 - ro@suse.de
- moved syslog logrotation config to syslogd package
* Mon Sep 23 2002 - ro@suse.de
- mark logrotate.del as missingok
* Mon Sep 09 2002 - ro@suse.de
- remove handling of /var/account/pacct (moved to acct package)
* Fri Aug 16 2002 - ro@suse.de
- dropped insserv from prereq (not used)
* Mon Aug 05 2002 - kukuk@suse.de
- Add rm and mv to PreRequires
* Wed Jul 31 2002 - ro@suse.de
- fixed typo in specfile
- added comment in config-file about bzip2 usage
* Mon Jul 29 2002 - ro@suse.de
- removed fetchmail logrotate entry (#17279)
* Mon Jul 29 2002 - ro@suse.de
- removed apache,smail,perforce,abuild components
- remove old entries also from logrotate.d/aaa_base on update
* Mon Jul 29 2002 - ro@suse.de
- squid components removed (done in squid package now) (#17278)
* Fri Jul 19 2002 - gd@suse.de
- fixed samba log paths
* Fri Jul 12 2002 - kukuk@suse.de
- Fix post-install script for the case that there is no rc.config
* Mon Jun 24 2002 - ro@suse.de
- fixed squid log paths (#16557)
* Wed May 08 2002 - ro@suse.de
- uucp-logfiles are handled by own config
* Mon Mar 18 2002 - ro@suse.de
- don't rotate any file for /var/log/news.*
* Fri Mar 01 2002 - ro@suse.de
- don't overwrite logfiles with dateext if run more than once
  a day (partial solution for #13202)
* Mon Feb 25 2002 - ro@suse.de
- install etc_logfiles as 644
* Tue Feb 19 2002 - ro@suse.de
- removed yast from logrotate.d
* Sat Feb 16 2002 - ro@suse.de
- removed postgresql logfile (handled by package)
* Mon Jan 07 2002 - ro@suse.de
- take wtmp out of default config
* Fri Dec 14 2001 - ro@suse.de
- really remove old variable from rc.config
* Wed Dec 12 2001 - ro@suse.de
- mark files in /etc/logrotate.d as noreplace
* Tue Dec 11 2001 - ro@suse.de
- implement maxage if dateext is not used
- uncompress log for mail if maillast is used
* Mon Dec 10 2001 - ro@suse.de
- added etc_logfiles as reminder to sources
- moved convert script into postinstall and try to find
  old etc/logfiles and use etc_logfiles as fallback
- added yast and syslog to /etc/logrotate.d as config files
* Mon Dec 10 2001 - ro@suse.de
- added maxage extension
* Thu Dec 06 2001 - ro@suse.de
- split patches for purpose
* Tue Dec 04 2001 - ro@suse.de
- archiving option changed to "dateext" and
  works completely transparent otherwise
* Tue Nov 27 2001 - ro@suse.de
- added multiple rotation criteria can be selected at one time
- added/completed implementation for days (max days)
* Mon Nov 26 2001 - ro@suse.de
- added archiving option
- added script to convert /etc/logfiles
* Tue Nov 13 2001 - ro@suse.de
- initial package for SuSE Linux (version 3.5.9)
